curl --request GET \
--url 'https://mrp.zolotenkov.ru/api/external/v1/manufacturing-orders/42' \
--header 'Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ' \
--header 'Accept: application/json'
const response = await fetch("https://mrp.zolotenkov.ru/api/external/v1/manufacturing-orders/42", {
method: "GET",
headers: {
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
});
const data = await response.json();
import requests
response = requests.get(
"https://mrp.zolotenkov.ru/api/external/v1/manufacturing-orders/42",
headers={
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
<?php
$curl = curl_init('https://mrp.zolotenkov.ru/api/external/v1/manufacturing-orders/42');
curl_setopt_array($curl, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ",
"Accept: application/json",
],
]);
$response = curl_exec($curl);
var_dump(json_decode($response, true));
Ответ
{
"actual_cost": {},
"actual_quantity": 10,
"completed_at": "2026-08-01T09:00:00Z",
"created_date": "2026-08-01T09:00:00Z",
"id": "42",
"item_variant": {
"id": "42",
"item_id": "42",
"item_title": "Табурет дубовый",
"sku": "ART-001",
"title": "Название"
},
"manufacturing_location_id": "42",
"number": "0001",
"output_batch_number": "0001",
"output_expiry_date": "2026-08-01",
"output_manufacture_date": "2026-08-01",
"planned_start_date": "2026-08-01T09:00:00Z",
"priority": 1,
"production_date": "2026-08-01T09:00:00Z",
"quantity": 10,
"released_quantity": 10,
"sales_order_id": "42",
"shipping_date": "2026-08-01T09:00:00Z",
"started_at": "2026-08-01T09:00:00Z",
"status": "OPEN",
"type": "MAKE_TO_STOCK",
"items": [
{
"actual_quantity": 10,
"id": "42",
"item_id": "42",
"item_variant_id": "42",
"quantity": 10,
"sku": "ART-001",
"title": "Название"
}
]
}
{
"error": "unauthorized",
"message": "Missing Authorization header",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "forbidden",
"message": "Missing required scope 'read:manufacturing'",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "not_found",
"message": "Resource not found",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "rate_limited",
"message": "Rate limit exceeded",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}